#Copyright (c) 2015 3D Control Systems LTD

#3DPrinterOS client is free software: you can redistribute it and/or modify
#it under the terms of the GNU Affero General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.

#3DPrinterOS client is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU Affero General Public License for more details.

#You should have received a copy of the GNU Affero General Public License
#along with 3DPrinterOS client.  If not, see <http://www.gnu.org/licenses/>.

# Author: Oleg Panasevych <panasevychol@gmail.com>

import platform

def get_platform():
    platform_info = platform.platform().lower()
    if platform_info.startswith('linux') and 'arm' in platform_info:
        return 'rpi'
    elif platform_info.startswith('linux'):
        return 'linux'
    elif platform_info.startswith('darwin'):
        return 'mac'
    elif platform_info.startswith('windows'):
        return 'win'

PLATFORM = get_platform()